%{?!pyver: %define pyver %(python -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		openerp-server
Version:	5.0.14
Release:	1%{?dist}
License:	GPLv3
Group:		System Environment/Daemons
Summary:	Open Source ERP Server
URL:		http://www.openerp.com
Source0:	http://www.openerp.com/download/stable/source/openerp-server-%{version}.tar.gz
Source1:	openerp-server.conf
Source2:	openerp-server
Source3:	openerp-server.logrotate
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel, pygtk2
BuildRequires:	python-psycopg2, python-reportlab, pydot
BuildRequires:	desktop-file-utils, libxslt-python, pychart
Requires:	pygtk2, pygtk2-libglade, pydot, mx
Requires:	pytz, python-lxml, pychart
Requires:	python-psycopg2, libxslt-python
Requires:	postgresql-python, libxml2-python, PyXML
Requires:	libxslt-python, python-imaging
Requires:	python-reportlab, redhat-lsb
Requires:	graphviz, pyparsing, postgresql-server
Requires:	ghostscript
Requires(pre):	fedora-usermgmt
Requires(postun):	fedora-usermgmt
Requires(post):		/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service

%define srv_dir %{name}-%{version}

%description
Server components for openERP.
openERP is a complete ERP and CRM. The main features are accounting
(analytic and financial), stock management, sales and purchases management,
tasks automation, marketing campaigns, help desk, POS, etc. Technical features
include a distributed server, flexible workflows, an object database,
a dynamic GUI, customizable reports, and SOAP and XML-RPC interfaces.

%prep
%setup -q

# update docs
chmod a-x doc/tests/*.py

# permission cleanup
find bin/addons -type f | xargs chmod a-x

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} ./setup.py install --root=$RPM_BUILD_ROOT

install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/openerp-server.conf
install -m 755 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/openerp-server
install -m 644 -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/openerp-server
sed -i "s/${RPM_BUILD_ROOT////\\/}/\//" $RPM_BUILD_ROOT/usr/bin/openerp-server
mkdir -p $RPM_BUILD_ROOT/var/log/openerp
mkdir -p $RPM_BUILD_ROOT/var/spool/openerp

# remove installed docs
rm -r $RPM_BUILD_ROOT/%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc doc/*
%attr(755,openerp,openerp) %dir /var/log/openerp
%attr(755,openerp,openerp) %dir /var/spool/openerp
%{_sysconfdir}/rc.d/init.d/openerp-server
%config(noreplace) %{_sysconfdir}/openerp-server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/openerp-server
%{_bindir}/openerp-server
%{python_sitelib}/openerp-server/
%{python_sitelib}/openerp_server*
%{_mandir}/man1/openerp-server.*
%{_mandir}/man5/openerp_serverrc.*


%pre
%{_sbindir}/fedora-groupadd 13 -r openerp &>/dev/null || :
%{_sbindir}/fedora-useradd 13 -r -s /sbin/nologin -d %{_localstatedir}/spool/openerp -M \
	-c 'OpenERP Server Owner' -g openerp openerp &>/dev/null || :

exit 0

%post
/sbin/chkconfig --add openerp-server

%preun 
if [ $1 = 0 ] ; then
	/sbin/service openerp-server stop >/dev/null 2>&1
	rm -f %{_localstatedir}/log/openerp/*
	/sbin/chkconfig --del openerp-server
fi

%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service openerp-server condrestart >/dev/null 2>&1
fi
test "$1" != 0 || %{_sbindir}/fedora-userdel  openerp &>/dev/null || :
test "$1" != 0 || %{_sbindir}/fedora-groupdel openerp &>/dev/null || :


%changelog
* Fri Sep 03 2010 - Andrea Vezzali <vezza@inwind.it> 5.0.14-1 
- 5.0.14 build

* Fri Mar 05 2010 - Frederic Descamps <lefred@inuits.be> 5.0.7-1 
- 5.0.7 build

* Thu Dec 17 2009 - Frederic Descamps <lefred@inuits.be> 5.0.6-1 
- Initial build
